valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
32 lines (31 loc) • 1.07 kB
TypeScript
import { z } from 'zod';
export declare const currentGamePlayerEndpoint: {
readonly name: "Current Game Player";
readonly description: "Get the current game match ID for the provided player";
readonly queryName: "CoreGame_FetchPlayer";
readonly category: "Current Game Endpoints";
readonly type: "glz";
readonly suffix: "core-game/v1/players/{puuid}";
readonly riotRequirements: {
readonly token: true;
readonly entitlement: true;
readonly clientPlatform: true;
readonly clientVersion: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
Subject: z.ZodString;
MatchID: z.ZodString;
Version: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
Subject: string;
Version: number;
MatchID: string;
}, {
Subject: string;
Version: number;
MatchID: string;
}>;
};
};
export type CurrentGamePlayerResponse = z.input<typeof currentGamePlayerEndpoint.responses['200']>;